summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatti Niemenmaa2015-05-08 21:27:23 +0300
committerMatti Niemenmaa2015-07-14 16:30:14 +0300
commitf930f88e33f1e7fd04b2925aaa4aa0fbff85a43b (patch)
treeb54202321fdecb83c355186fbb36793c2c650747
downloadaur-f930f88e33f1e7fd04b2925aaa4aa0fbff85a43b.tar.gz
Initial commit: no Audacious plugin but seems okay
It appears that the Audacious plugin doesn't build against Audacious 3.6.1, so leave it out. This package is mainly for the library anyway.
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD40
2 files changed, 58 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..95244190c14
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = vgmstream-kode54-git
+ pkgdesc = Library for playback of various streamed audio formats used in video games (kode54's fork)
+ pkgver = r1020.r90.gd84b770
+ pkgrel = 1
+ url = https://github.com/kode54/vgmstream
+ arch = i686
+ arch = x86_64
+ license = BSD
+ makedepends = git
+ depends = glibc
+ depends = libogg
+ depends = libvorbis
+ depends = mpg123
+ source = vgmstream-kode54-git::git+https://github.com/kode54/vgmstream.git
+ sha256sums = SKIP
+
+pkgname = vgmstream-kode54-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..642064b1b0c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,40 @@
+pkgname=vgmstream-kode54-git
+pkgver=r1020.r90.gd84b770
+pkgrel=1
+pkgdesc="Library for playback of various streamed audio formats used in video games (kode54's fork)"
+arch=(i686 x86_64)
+url='https://github.com/kode54/vgmstream'
+license=(BSD)
+depends=(glibc libogg libvorbis mpg123)
+makedepends=(git)
+source=(${pkgname}::git+https://github.com/kode54/vgmstream.git)
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed -r 's/([^-]*-g)/r\1/;y/-/./' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$srcdir/$pkgname"
+ # We won't build the Audacious plugin so we don't need the libraries either.
+ sed -i '/PKG_CHECK_MODULES(\(AUDACIOUS\|GTK\)/{N;N;d}' configure.in
+ ./bootstrap
+ ./configure
+ cd src
+ make -f Makefile.unix
+ "${CC-cc}" "$CFLAGS" -lvorbisfile -lmpg123 -shared -o .libs/libvgmstream.so .libs/*.o */.libs/*.o
+}
+
+package() {
+ cd "$srcdir/$pkgname"
+ install -D -m644 -t "$pkgdir/usr/include/vgmstream" src/{vgmstream,stream{file,types},util}.h
+ install -D -m644 -t "$pkgdir/usr/include/vgmstream/coding" src/coding/{{acm,nwa}_decoder,g72x_state}.h
+ install -D -m644 -t "$pkgdir/usr/lib" src/.libs/libvgmstream.{a,so}
+ install -D -m644 -t "$pkgdir/usr/share/licenses/$pkgname" COPYING
+}
+
+# vim:set sw=2 et: